Bug 1417068 - System does not get registered because {"network.hostname-override":""} in /etc/rhsm/facts/katello.facts is empty due `hostname -f`
Summary: System does not get registered because {"network.hostname-override":""} in /e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.2.5
Hardware: All
OS: Linux
urgent
urgent vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On: 1405614
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 07:48 UTC by pm-sat@redhat.com
Modified: 2020-06-11 13:14 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1405614
Environment:
Last Closed: 2018-02-21 16:47:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 17721 Normal Closed systems where 'hostname -f' returns an error fails registration 2020-02-26 04:28:35 UTC
Red Hat Knowledge Base (Solution) 2835771 None None None 2017-01-27 07:48:13 UTC

Comment 3 Lukas Pramuk 2017-10-20 10:33:35 UTC
VERIFIED.

@satellite-6.3.0-20.0.beta.el7sat.noarch
katello-installer-base-3.4.5.4-1.el7sat.noarch
tfm-rubygem-katello-3.4.5.10-1.el7sat.noarch

1. Create a VM that SAT (6.3.0) is not aware of (preferably behind NAT)

2. Simulate that `hostname -f` fails for on the VM
# cat > /usr/bin/hostname <<<'exit 1'

3. Install CA consumer certs
# rpm -Uvh http://$SAT/pub/katello-ca-consumer-latest.noarch.rpm

4. Check contents of /etc/rhsm/facts/katello.facts
# cat /etc/rhsm/facts/katello.facts
cat: /etc/rhsm/facts/katello.facts: No such file or directory

5. Register new (not yet registered) host
# subscription-manager register --username admin --password changeme
Registering to: <SAT_FQDN>:443/rhsm
Environment: Library
The system has been registered with ID: 26e6fed3-de03-4273-bcfd-2bed451e2aa6 

>>> the new host registration succeeds regardless of /etc/rhsm/facts/katello.facts content

Comment 4 Bryan Kearney 2018-02-21 16:43:02 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 5 Bryan Kearney 2018-02-21 16:47:15 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.